get_filename_component(PackageName ${CMAKE_CURRENT_SOURCE_DIR} NAME)
project(${PackageName})

set(PublicDependencies
    $<$<CONFIG:Debug,RelWithDebInfo>:cpptrace::cpptrace>
    unordered_dense::unordered_dense)
set(PrivateDependencies)
set(BigfootPublicDependencies)
set(BigfootPrivateDependencies)

bigfoot_create_package_lib(
    "${PublicDependencies}"
    "${PrivateLibraries}"
    "${BigfootPublicDependencies}"
    "${BigfootPrivateDependencies}"
    "")